<?php
	/*************************************************************************************\
	* Expresso Relatrio                										         *
	* by Elvio Rufino da Silva (elviosilva@yahoo.com.br, elviosilva@cepromat.mt.gov.br)  *
	* -----------------------------------------------------------------------------------*
	*  This program is free software; you can redistribute it and/or modify it			 *
	*  under the terms of the GNU General Public License as published by the			 *
	*  Free Software Foundation; either version 2 of the License, or (at your			 *
	*  option) any later version.														 *
	\*************************************************************************************/

	$debug = false;	
	$time_start = microtime(true);

	$GLOBALS['phpgw_info'] = array();
	$GLOBALS['phpgw_info']['flags']['currentapp'] = 'reports1_0';
	include('../header.inc.php');

	// Cria o objeto para mostrar as organizaes
	$functions	= CreateObject('reports1_0.functions');	
	
	$nextmatchs = createobject('phpgwapi.nextmatchs');
	
	$c = CreateObject('phpgwapi.config','reports1_0');
	$c->read_repository();
	
	$current_config = $c->config_data;
	$ldap_manager = CreateObject('contactcenter.bo_ldap_manager');
	$boemailadmin	= CreateObject('emailadmin.bo');
	$emailadmin_profile = $boemailadmin->getProfileList();
	$_SESSION['phpgw_info']['expresso']['email_server'] = $boemailadmin->getProfile($emailadmin_profile[0]['profileID']);
	$_SESSION['phpgw_info']['expresso']['user'] = $GLOBALS['phpgw_info']['user'];
	$_SESSION['phpgw_info']['expresso']['server'] = $GLOBALS['phpgw_info']['server'];
	$_SESSION['phpgw_info']['expresso']['cc_ldap_server'] = $ldap_manager ? $ldap_manager->srcs[1] : null;
	$_SESSION['phpgw_info']['expresso']['expressoAdmin'] = $current_config;
	$_SESSION['phpgw_info']['expresso']['global_denied_users'] = $GLOBALS['phpgw_info']['server']['global_denied_users'];
	$_SESSION['phpgw_info']['expresso']['global_denied_groups'] = $GLOBALS['phpgw_info']['server']['global_denied_groups'];
	
	$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
	$template->set_file(Array('expressoAdmin' => 'index.tpl'));
	$template->set_block('expressoAdmin','body');	
	
	$var = Array(
		'lang_rel_user_all'			=> lang('report user'),
		'lang_rel_title'			=> lang('reports'),
		'lang_rel_user_org'			=> lang('report organization'),
		'lang_rel_cota_org' 		=> lang('report cota organization'),
		'lang_rel_logon_org' 		=> lang('report of time without logging by Organization'),
		'lang_rel_maillists_org' 	=> lang('report maillists organization'),
		'lang_rel_usersgroups_org' 	=> lang('report usersgroups organization'),
		'page'						=> $_GET[page]
	);
	$template->set_var($var);
	$template->pfp('out','body');
			
	/* save lang and session */
	if (empty($_SESSION['phpgw_info']['expressoAdmin']['lang']))
	{
		$_SESSION['phpgw_info']['expressoAdmin']['user']['preferences']['common']['lang'] = $GLOBALS['phpgw_info']['user']['preferences']['common']['lang'];
		$fn = './setup/phpgw_'.$_SESSION['phpgw_info']['expressoAdmin']['user']['preferences']['common']['lang'].'.lang';
		if (file_exists($fn))
		{
			$fp = fopen($fn,'r');
			while ($data = fgets($fp,16000))
			{
				list($message_id,$app_name,$null,$content) = explode("\t",substr($data,0,-1));
				$_SESSION['phpgw_info']['expressoAdmin']['lang'][$message_id] = $content;
			}
			fclose($fp);
		}
	}
	
	$GLOBALS['phpgw']->common->phpgw_footer();
	
	if($debug)
		echo lang('Page was generated in %1 seconds',microtime(true) - $time_start);	

?>